      subroutine list_key_head(infoHead)
      implicit none

      include '../include/infohead.inc'
      type(infohead_t), intent(in) :: infoHead

      write(*,*) 'Keyword input found: '
      write(*,*) 'threedr_mode    = ', infoHead%threedr_mode 
      write(*,*) 'quick_omega     = ', infoHead%quick_omega
      write(*,*) 'input_mode      = ', infoHead%input_mode 
      write(*,*) 'bin_factor      = ', infoHead%bin_factor    
      write(*,*) 'symmetry        = ', infoHead%symmetry      
      write(*,*) 'delta_theta     = ',  infoHead%delta_theta     
      write(*,*) 'image_projection_compare_method = ', 
     $     infoHead%image_projection_compare_method 
      write(*,*) 'ctf_mode        = ', infoHead%ctf_mode 
      write(*,*) 'ctf_filter_mode = ', infoHead%ctf_filter_mode 
      write(*,*) 'verbose         = ', infoHead%verbose    
      write(*,*) 'filter_factor_1 = ', infoHead%filter_factor_1 
      write(*,*) 'filter_factor_2 = ', infoHead%filter_factor_2 
      write(*,*) 'pftrad_lo       = ', infoHead%pftrad_lo 
      write(*,*) 'pftrad_hi       = ', infoHead%pftrad_hi 
      write(*,*) 'pftrad_step     = ', infoHead%pftrad_step 
      write(*,*) 'annulus_low     = ', infoHead%annulus_low   
      write(*,*) 'annulus_high    = ', infoHead%annulus_high   
      write(*,*) 'radius          = ', infoHead%radius   
      write(*,*) 'temperature_factor = ', infoHead%temperature_factor
      write(*,*) 'resolution_out  = ', infoHead%resolution_out  
      write(*,*) 'resolution_low  = ', infoHead%resolution_low   
      write(*,*) 'resolution_high = ', infoHead%resolution_high   
      write(*,*) 'units_out       = ', infoHead%units_out     
      write(*,*) 'jcut            = ', infoHead%jcut     
      write(*,*) 'sigcut          = ', infoHead%sigcut   
      write(*,*) 'delta_xy        = ', infoHead%delta_xy       
      write(*,*) 'num_delta_xy    = ', infoHead%num_delta_xy 
      write(*,*) 'delta_omega     = ', infoHead%delta_omega 
      write(*,*) 'num_delta_omega = ', infoHead%num_delta_omega  
      write(*,*) 'map_pixsiz      = ', infoHead%map_pixsiz  
      write(*,*) 'mag_cen         = ', infoHead%mag_cen  
      write(*,*) 'mag_step        = ', infoHead%mag_step 
      write(*,*) 'mag_num         = ', infoHead%mag_num  
      write(*,*) 'mag_norm        = ', infoHead%mag_norm 
      write(*,*) 'map_dim         = ', infoHead%map_dim 
      write(*,*) 'max_origin_shift = ', infoHead%max_origin_shift 
      write(*,*) 'ico_spread      = ', infoHead%ico_spread 
      write(*,*) 'minimum         = ', infoHead%minimum 
      write(*,*) 'bg_out          = ', infoHead%bg_out 
      write(*,*) 'lg_out          = ', infoHead%lg_out 
      write(*,*) 'mp_out          = ', infoHead%mp_out 
      write(*,*) 'input_mode_cc   = ', infoHead%input_mode_cc 
      write(*,*) 'phase_weight    = ', infoHead%phase_weight 
      write(*,*) 'model_filename  = ', trim(infoHead%model_filename)
      write(*,*) 'prj_filename    = ', trim(infoHead%prj_filename)
      write(*,*) 'pft_filename    = ', trim(infoHead%pft_filename)
      write(*,*) 'pftrads_filename    = ', 
     $     trim(infoHead%pftrads_filename)
      write(*,*) 'pftres1_filename    = ', 
     $     trim(infoHead%pftres1_filename)
      write(*,*) 'pftres2_filename    = ', 
     $     trim(infoHead%pftres2_filename)
      write(*,*) 'bg_filename         = ', trim(infoHead%bg_filename)
      write(*,*) 'title               = ', trim(infoHead%title)
            
      end subroutine list_key_head
