#include <stdlib.h>
#include <stdio.h>
#include "../include/common.h"
#include "../include/libPIF.h"

int main(int argc, char **argv) {
  int           thisImg=1; // default
  forPifHead_t  thisHead;

  banner("pifInfo");

  if(argc < 2) {
    printf("\nUSAGE:  pifInfo pifFileName <imgNumber>\n");
    printf("\npifInfo prints info in PIF the header.\n");
    printf("   <imgNumber> is optional and if absent defaults to 1\n\n");
    exit(0);
  }
  
  if(argc>=3)
    thisImg = (int)strtod(argv[2], 0);

  thisHead.luNum = 4;
  pif_open(argv[1], &thisHead.luNum, "r");

  pif_read_gh(&thisHead);
  thisHead.imgNum = thisImg;
  pif_read_dh(&thisHead);
  pif_list_head(&thisHead);

  pif_close(&thisHead.luNum);
  return 0;
}
