/******************************************************************************
** FileIO.c
** ========

Current : JF Conway     Fri 03-Mar-2000

Description
===========
File IO routines for CTFmix.

******************************************************************************/

#ifndef __FileIO_H__
#define __FileIO_H__

#include <stdio.h>
#include "pif.h"

#ifndef OK
#define OK    (0)
#define ERROR (!OK)
#endif

// Public function declarations
// ============================

FILE *OpenOutputPIFfile    ( char *fname
                           , PIF_FILE_HEADER  *pifHeader
                           , int dx, int dy
                           , int mode
			   , int numImages
			   );
int AppendPIFimage         ( FILE *fptr
                           , PIF_FILE_HEADER  *pifHeader
                           , int mode
                           , void *array
                           , int dx, int dy
                           );
#endif

/*****************************************************************************/
