/****************************************************************************
** TIFF_IO.h
** =========

James F. Conway, LSBR/NIAMS/NIH July 1997

Function to read TIFF file:
        TIFF_ReadImageHeader   - read image file
        TIFF_ReadImageData     - read image data (assuming header already done)

Original source from Rob Ashmore (Purdue) 1997.

****************************************************************************/

#ifndef __TIFF_IO__
#define __TIFF_IO__

#include <stdio.h>
#include "jfctypes.h"

int TIFF_ReadImageHeader(FILE *fptr, int *dx, int *dy, int *bytesPerPixel);
int TIFF_ReadImageData(FILE *fptr, UBYTE *buffer, int dx, int dy, 
		       int bytesPerPixel);

#endif
/****************************************************************************/
