/****************************************************************************
** PIF_errors.h
** ============

This version: 03-Mar-2000 (v1.4.7)
James Conway, LSBR, NIAMS, NIH (email: James_Conway@nih.gov)
Modified from source code provided by Rob Ashmore, Purdue University, Indiana.

The routines defined here are system specific error and notification reporting.
PIF_DoError() and PIF_DoNotification()

****************************************************************************/

#ifndef __PIF_ERRORS__
#define __PIF_ERRORS__

void PIF_DoError  (char *msg);
void PIF_DoNotify (char *msg);

#endif

/***************************************************************************/
