#include <string.h>
#include <stdio.h>                              /* For printf and so on. */
#include <math.h>
#include <ctype.h>
#include <stdlib.h>
#include <time.h>
#include <sys/types.h>
#include <unistd.h>

#include <Xm/Xm.h>
#include <Xm/ArrowB.h>
#include <Xm/CascadeB.h>
#include <Xm/DrawingA.h>
#include <Xm/Form.h>
#include <Xm/Label.h>
#include <Xm/List.h>
#include <Xm/MenuShell.h>
#include <Xm/MessageB.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/ScrollBar.h>
#include <Xm/ScrolledW.h>
#include <Xm/Text.h>
#include <Xm/ToggleB.h>
#include <Mrm/MrmAppl.h>                /* Motif Toolkit and MRM */

#include <X11/cursorfont.h>                /* For watch cursor */
#include <Xm/FileSB.h>

#include "../include/libPIF.h"

#define MAXGLBFIELDS 15
#define MAXIMGFIELDS 59


// RAW Xlib definitions

Arg arglst[32];

XmFontList fixpifFontList;

/* Global display and applications context pointers*/
Display         *dsply; 		/* Display variable */
XtAppContext    app_context;		/* application context */

Widget topLevelW, mainWindowW,
  glbHeadTextW[200], imgHeadTextW[200], fileSelW,
  imageFormW, globalFormW, infoBoxW,
  headNumTextW, headNumLabW, headNumUpW, headNumDownW,
  writeOneW, writeAllW,
  menuW, menuBarW, menuEntryW, menuReadBW, menuExitBW; 


XSetWindowAttributes attrs;


fString_t fileName;

forPifHead_t pifDHeader, pifGHeader;
char outStr[1024];

FILE *fIn;
int numCols, numRows;

int globAsk;
int gFinished;

int currentHeader;
int numImages;
int fileIsOpen;
int dirty;

/* Field labels */
String glbFields[15];
String imgFields[59];


void XlibInitialize();
void s_error(char *problem_string);
int askThem(char *infoStr, int dialogType);
void TextSetInt(Widget w, int i);
void TextSetFlt(Widget w, float f);
void handle_cr(Widget w);


void infoOK(Widget w, XtPointer cld, XtPointer cad);
void infoCancel(Widget w, XtPointer cld, XtPointer cad);
void read_activate(Widget w, XtPointer cld, XtPointer cad);
void exit_activate(Widget w, XtPointer cld, XtPointer cad);
void text_changed(Widget w, XtPointer cld, XtPointer cad);
void imgNumActivate(Widget w, XtPointer cld, XtPointer cad);
void text_create(Widget w, XtPointer cld, XtPointer cad);
void headNumArrow_activate(Widget w, XtPointer cld, XtPointer cad);
void write_activate(Widget w, XtPointer cld, XtPointer cad);
void write_all_activate(Widget w, XtPointer cld, XtPointer cad);
