C Variables for bookkeeping of time used in each phase and memory
C space allocated for global arrays and in subroutines.

      double precision t1, t2, time, t_seq, t_comm, t_par,
     +       t_init, t_fftanaly, t_analy, t_interp, t_exchange_1, 
     +       t_solvesys, t_fftsynth_1, t_exchange_2, t_fftsynth_2, 
     +       t_gather, t_write_output, t_3dfft,
     +       mem_total, mem_pixels_array, mem_ctf_val,
     +       mem_interpolants, mem_f_hkl, mem_f_vru,
     +       mem_F_XK_dZ, mem_rho, mem_f_vru_tmp,
     +       mem_peak, mem_read_files, mem_cmpt,
     +       mem_cmpt_intrps, mem_solvesys_m, mem_fftsynth_1_m,
     +       mem_exchange_2_m, mem_fftsynth_2_m, 
     +       mem_f_hkl_ref, mem_density_map, mem_map3d, mem_fft3d

      common /timings/ t1, t2, time, t_seq, t_comm, t_par,
     +       t_init, t_fftanaly, t_analy, t_interp, t_exchange_1, 
     +       t_solvesys, t_fftsynth_1, t_exchange_2, t_fftsynth_2, 
     +       t_gather, t_write_output, t_3dfft,
     +       mem_total, mem_pixels_array, mem_ctf_val,
     +       mem_interpolants, mem_f_hkl, mem_f_vru,
     +       mem_F_XK_dZ, mem_rho, mem_f_vru_tmp,
     +       mem_peak, mem_read_files, mem_cmpt,
     +       mem_cmpt_intrps, mem_solvesys_m, mem_fftsynth_1_m,
     +       mem_exchange_2_m, mem_fftsynth_2_m, 
     +       mem_f_hkl_ref, mem_density_map, mem_map3d, mem_fft3d

      data   mem_total /0.0/, mem_peak /0.0/, mem_ctf_val/0.0/, 
     +       mem_pixels_array / 0.0 /, mem_interpolants / 0.0 /,
     +       mem_f_hkl / 0.0 /, mem_f_vru / 0.0 /, 
     +       mem_F_XK_dZ / 0.0 /,  mem_rho / 0.0 /, 
     +       mem_f_vru_tmp / 0.0 /, mem_cmpt / 0.0 /,
     +       mem_read_files / 0.0 /, mem_cmpt_intrps / 0.0 /,
     +       mem_solvesys_m / 0.0 /, mem_fftsynth_1_m / 0.0 /,
     +       mem_exchange_2_m / 0.0 /, mem_fftsynth_2_m / 0.0 /,
     +       mem_f_hkl_ref / 0.0 /,
     +       mem_density_map / 0.0 /


C These variables are used to record the time used in each phase and
C     in executing the whole program.
C "t1" -- The starting time for each phase;
C "t2" -- The ending time for each phase;
C "t_start" -- The starting time of the whole program;
C "t_end"   -- The ending time of the whole program;
C "time"    -- The elapse time of each phase, i.e., time = t2 - t1;
C "t_seq"   -- The total time used in phases essentially sequential;
C "t_par"   -- The total time used in phases parallelizable
