      subroutine fft_2d (fft, idim1, idim2)
      
C     Compute in-core forward 2D FFT of full-size "fft" array
C
C     May 1989  purdue university vax 8550, t. baker.
C     Modified 15-jan-1992 by t. baker.
C     Modified 5/31/07 - minor cleanup, RSS

      implicit none

      integer, intent(in)    :: idim1, idim2
      complex, intent(inout) :: fft(idim1,idim2)

      integer nn(2)
      real    work

      nn(1) = idim1
      nn(2) = idim2

      call fourt (fft, nn, 2, 1, 0, work) ! transform data

      return
      end subroutine fft_2d
