      subroutine fft_2d_back (fft, idim1, idim2)

C     Compute in-core reverse 2D FFT of full-size "fft" array
C
C     january 1992  purdue university vax 8550, t. baker.
C     Modified  6-jan-1992 by t. baker.
C     Modified 5/31/07 - minor cleanup, RSS
      
      implicit none

      integer, intent(in)    :: idim1, idim2
      complex, intent(inout) :: fft(idim1,idim2)

      integer nn(2)
      real    work, div

      nn(1) = idim1
      nn(2) = idim2
      div   = float(idim1)*float(idim2)

      call fourt (fft, nn, 2, -1, 1, work) ! transform data
      fft = fft/div                        ! Fortran 90 array syntax

      return
      end subroutine fft_2d_back
