#include "gui.h"

void create_dxyscreen () {
  // function name: create_dxyscreen
  // Create/initialize add delta xy screen
  
  int *tag1;
  tag1 = (int *) malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, 
	   XmStringCreateLocalized("Add Delta XY"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 700);
  XtSetArg(arglst[5], XmNy, 100);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 150);
  XtSetArg(arglst[8], XmNresizePolicy, XmRESIZE_NONE);
  dxyScreenW = XmCreateFormDialog(toplevel_widget, "dxy", arglst, 9);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 100);
  dxyExitW = XmCreatePushButton(dxyScreenW, "dxy_exit", arglst, 5);
  XtAddCallback(dxyExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(dxyExitW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 30);
  XtSetArg(arglst[2], XmNheight, 34);
  XtSetArg(arglst[3], XmNx, 80);
  XtSetArg(arglst[4], XmNy, 100);
  dxyHelpW = XmCreatePushButton(dxyScreenW, "dxy_help", arglst, 5);
  *tag1 = DELTAXY;
  XtAddCallback(dxyHelpW, XmNactivateCallback, 
		context_help_screen_activate, (XtPointer)tag1);
  XtManageChild(dxyHelpW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Add values to x,y centers"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 100);
  dxyDoW = XmCreatePushButton(dxyScreenW, "dxy_do", arglst, 3);
  XtAddCallback(dxyDoW, XmNactivateCallback, partproc_delta_work, NULL);
  XtManageChild(dxyDoW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Delta X:"));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 15);
  dxyXLabelW = XmCreateLabel(dxyScreenW, "dxy_xlab", arglst, 3);
  XtManageChild(dxyXLabelW);

  XtSetArg(arglst[0], XmNcolumns,  12);
  XtSetArg(arglst[1], XmNx, 100);
  XtSetArg(arglst[2], XmNy, 10);
  dxyXTextW = XmCreateText(dxyScreenW, "dxy_xtxt", arglst, 3);
  XtManageChild(dxyXTextW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Delta Y:"));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 55);
  dxyYLabelW = XmCreateLabel(dxyScreenW, "dxy_ylab", arglst, 3);
  XtManageChild(dxyYLabelW);

  XtSetArg(arglst[0], XmNcolumns,  12);
  XtSetArg(arglst[1], XmNx, 100);
  XtSetArg(arglst[2], XmNy, 50);
  dxyYTextW = XmCreateText(dxyScreenW, "dxy_ytxt", arglst, 3);
  XtManageChild(dxyYTextW);

} // end function create_dxyscreen
