#include "gui.h"

void create_fixitscreen() {
  // function name: create_fixitscreen
  // Change properties (min/max/inc) of scrollbars
  // Called from main FFT screen

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, 
	   XmStringCreateLocalized("Change scrollbar values"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 640);
  XtSetArg(arglst[5], XmNy, 250);
  XtSetArg(arglst[6], XmNwidth, 450);
  XtSetArg(arglst[7], XmNheight, 210);
  XtSetArg(arglst[8], XmNresizePolicy, XmRESIZE_NONE);
  fixitScreenW = XmCreateFormDialog(toplevel_widget, "fxi", arglst, 9);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Do it"));
  XtSetArg(arglst[1], XmNx, 20);
  XtSetArg(arglst[2], XmNy, 173);
  fixitDoitW = XmCreatePushButton(fixitScreenW, "fxi_doit", arglst, 3);
  XtAddCallback(fixitDoitW, XmNactivateCallback, fixit_deactivate, NULL);
  XtManageChild(fixitDoitW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 100);
  XtSetArg(arglst[4], XmNy, 170);
  fixitExitW = XmCreatePushButton(fixitScreenW, "fxi_exit", arglst, 5);
  XtAddCallback(fixitExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(fixitExitW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Min Value"));
  XtSetArg(arglst[1], XmNx, 30);
  XtSetArg(arglst[2], XmNy, 40);
  minFixLabelW = XmCreateLabel(fixitScreenW, "fxi_minl", arglst, 3);
  XtManageChild(minFixLabelW);

  XtSetArg(arglst[0], XmNcolumns, 9);
  XtSetArg(arglst[1], XmNx, 155);
  XtSetArg(arglst[2], XmNy, 35);
  minFixTextW = XmCreateText(fixitScreenW, "fxi_mint", arglst, 3);
  XtAddCallback(minFixTextW, XmNvalueChangedCallback, fixit_changed, NULL);
  XtManageChild(minFixTextW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Max Value"));
  XtSetArg(arglst[1], XmNx, 30);
  XtSetArg(arglst[2], XmNy, 70);
  maxFixLabelW = XmCreateLabel(fixitScreenW, "fxi_maxl", arglst, 3);
  XtManageChild(maxFixLabelW);

  XtSetArg(arglst[0], XmNcolumns, 9);
  XtSetArg(arglst[1], XmNx, 155);
  XtSetArg(arglst[2], XmNy, 65);
  maxFixTextW = XmCreateText(fixitScreenW, "fxi_maxt", arglst, 3);
  XtAddCallback(maxFixTextW, XmNvalueChangedCallback, fixit_changed, NULL);
  XtManageChild(maxFixTextW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Page Increment"));
  XtSetArg(arglst[1], XmNx, 30);
  XtSetArg(arglst[2], XmNy, 100);
  pageFixLabelW = XmCreateLabel(fixitScreenW, "fxi_pagel", arglst, 3);
  XtManageChild(pageFixLabelW);

  XtSetArg(arglst[0], XmNcolumns, 9);
  XtSetArg(arglst[1], XmNx, 155);
  XtSetArg(arglst[2], XmNy, 95);
  pageFixTextW = XmCreateText(fixitScreenW, "fxi_paget", arglst, 3);
  XtAddCallback(pageFixTextW, XmNvalueChangedCallback, fixit_changed, NULL);
  XtManageChild(pageFixTextW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Arrow Increment"));
  XtSetArg(arglst[1], XmNx, 30);
  XtSetArg(arglst[2], XmNy, 130);
  incFixLabelW = XmCreateLabel(fixitScreenW, "fxi_incl", arglst, 3);
  XtManageChild(incFixLabelW);

  XtSetArg(arglst[0], XmNcolumns, 9);
  XtSetArg(arglst[1], XmNx, 155);
  XtSetArg(arglst[2], XmNy, 125);
  incFixTextW = XmCreateText(fixitScreenW, "fxi_inct", arglst, 3);
  XtAddCallback(incFixTextW, XmNvalueChangedCallback, fixit_changed, NULL);
  XtManageChild(incFixTextW);

} // end function create_fixitscreen
