#include "gui.h"

void create_helpscreen () {
  // function name: create_helpscreen
  // Create and initialize attributes of help screen
  
  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, XmStringCreateLocalized("Help"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 300);
  XtSetArg(arglst[5], XmNy, 120);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 500);
  helpScreenW = XmCreateFormDialog(toplevel_widget, "help", arglst, 8);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 15);
  XtSetArg(arglst[4], XmNy, 15);
  helpExitW = XmCreatePushButton(helpScreenW, "help_exit", arglst, 5);
  XtAddCallback(helpExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(helpExitW);

  XtSetArg(arglst[0], XmNdialogTitle, XmStringCreateLocalized("Save"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 15);
  helpSaveW = XmCreatePushButton(helpScreenW, "help_save", arglst, 3);
  XtAddCallback(helpSaveW, XmNactivateCallback, help_save_activate, NULL);
  XtManageChild(helpSaveW);

  XtSetArg(arglst[0], XmNscrollVertical, 1);
  XtSetArg(arglst[1], XmNscrollHorizontal, 0);
  XtSetArg(arglst[2], XmNeditMode, XmMULTI_LINE_EDIT);
  XtSetArg(arglst[3], XmNcursorPositionVisible, 1);
  XtSetArg(arglst[4], XmNwordWrap, 1);
  XtSetArg(arglst[5], XmNcolumns, 82);
  XtSetArg(arglst[6], XmNrows, 24);
  XtSetArg(arglst[7], XmNx, 15);
  XtSetArg(arglst[8], XmNy, 55);
  helpTextW = XmCreateScrolledText(helpScreenW, "help_text", arglst, 9);
  XtManageChild(helpTextW);

} // end function create_helpscreen
