#include "gui.h"

void create_infoanswerscreen () {
  // function name: create_infoanswerscreen
  // Create and initialize attributes of info answer screen
  
  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, XmStringCreateLocalized("Get Choice"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 400);
  XtSetArg(arglst[5], XmNy, 200);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 300);
  infoAnswerScreenW = XmCreateFormDialog(toplevel_widget, "ias", arglst, 8);

  XtSetArg(arglst[0], XmNscrollVertical, 1);
  XtSetArg(arglst[1], XmNscrollHorizontal, 0);
  XtSetArg(arglst[2], XmNeditMode, XmMULTI_LINE_EDIT);
  XtSetArg(arglst[3], XmNcursorPositionVisible, 1);
  XtSetArg(arglst[4], XmNwordWrap, 1);
  XtSetArg(arglst[5], XmNcolumns, 82);
  XtSetArg(arglst[6], XmNrows, 1);
  XtSetArg(arglst[7], XmNx, 10);
  XtSetArg(arglst[8], XmNy, 10);
  infoPromptTextW = XmCreateScrolledText(infoAnswerScreenW, 
					 "ias_text", arglst, 9);
  XtManageChild(infoPromptTextW);

  XtSetArg(arglst[0], XmNselectionPolicy, XmSINGLE_SELECT);
  XtSetArg(arglst[1], XmNvisibleItemCount, 7);
  XtSetArg(arglst[2], XmNx, 10);
  XtSetArg(arglst[3], XmNy, 40);
  infoListW = XmCreateScrolledList(infoAnswerScreenW, "ias_list", arglst, 4);
  XtAddCallback(infoListW, XmNsingleSelectionCallback, info_list_proc, NULL);
  XtManageChild(infoListW);

} // end function create_infoanswerscreen
