#include "gui.h"

void create_interpscreen () {
  // function name: create_interpscreen
  // Create/initialize image interpolation screen
  
  int *tag1;
  tag1 = (int *) malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, XmStringCreateLocalized("Interpolate"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 640);
  XtSetArg(arglst[5], XmNy, 250);
  XtSetArg(arglst[6], XmNwidth, 450);
  XtSetArg(arglst[7], XmNheight, 200);
  XtSetArg(arglst[8], XmNresizePolicy, XmRESIZE_NONE);
  interpScreenW = XmCreateFormDialog(toplevel_widget, "int", arglst, 9);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 150);
  interpExitW = XmCreatePushButton(interpScreenW, "int_exit", arglst, 5);
  XtAddCallback(interpExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(interpExitW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 30);
  XtSetArg(arglst[2], XmNheight, 34);
  XtSetArg(arglst[3], XmNx, 80);
  XtSetArg(arglst[4], XmNy, 150);
  interpHelpW = XmCreatePushButton(interpScreenW, "int_help", arglst, 5);
  *tag1 = INTERP;
  XtAddCallback(interpHelpW, XmNactivateCallback, 
		context_help_screen_activate, (XtPointer)tag1);
  XtManageChild(interpHelpW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Interpolate"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 150);
  interpDoW = XmCreatePushButton(interpScreenW, "int_do", arglst, 3);
  XtAddCallback(interpDoW, XmNactivateCallback, interpolate_activate, NULL);
  XtManageChild(interpDoW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Original Pixel Size:"));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 30);
  interpOrigLabW = XmCreateLabel(interpScreenW, "int_orgl", arglst, 3);
  XtManageChild(interpOrigLabW);

  XtSetArg(arglst[0], XmNcolumns,  12);
  XtSetArg(arglst[1], XmNx, 190);
  XtSetArg(arglst[2], XmNy, 30);
  interpOrigTextW = XmCreateText(interpScreenW, "int_orgt", arglst, 3);
  XtManageChild(interpOrigTextW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Output Pixel Size:"));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 70);
  interpOutLabW = XmCreateLabel(interpScreenW, "int_outl", arglst, 3);
  XtManageChild(interpOutLabW);

  XtSetArg(arglst[0], XmNcolumns,  12);
  XtSetArg(arglst[1], XmNx, 190);
  XtSetArg(arglst[2], XmNy, 70);
  interpOutTextW = XmCreateText(interpScreenW, "int_outt", arglst, 3);
  XtManageChild(interpOutTextW);

} // end function create_interpscreen
