#include "gui.h"

void create_pointscreen () {
  // function name: create_pointscreen
  // Create and initialize attributes of point screen
  
  int *tag1;
  tag1 = (int *) malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, XmStringCreateLocalized("Point Values"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 940);
  XtSetArg(arglst[5], XmNy, 20);
  XtSetArg(arglst[6], XmNwidth, 455);
  XtSetArg(arglst[7], XmNheight, 215);
  XtSetArg(arglst[8], XmNresizePolicy, XmRESIZE_NONE);
  pointScreenW = XmCreateFormDialog(toplevel_widget, "pt", arglst, 9);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 180);
  pointExitW = XmCreatePushButton(pointScreenW, "pt_exit", arglst, 5);
  XtAddCallback(pointExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(pointExitW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized(" "));
  XtSetArg(arglst[1], XmNwidth, 440);
  XtSetArg(arglst[2], XmNx, 10);
  XtSetArg(arglst[3], XmNy, 10);
  pointLabelW[1] = XmCreateLabel(pointScreenW, "pt_v1", arglst, 4);
  XtManageChild(pointLabelW[1]);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized(" "));
  XtSetArg(arglst[1], XmNwidth, 440);
  XtSetArg(arglst[2], XmNx, 10);
  XtSetArg(arglst[3], XmNy, 40);
  pointLabelW[2] = XmCreateLabel(pointScreenW, "pt_v2", arglst, 4);
  XtManageChild(pointLabelW[2]);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized(" "));
  XtSetArg(arglst[1], XmNwidth, 440);
  XtSetArg(arglst[2], XmNx, 10);
  XtSetArg(arglst[3], XmNy, 55);
  pointLabelW[3] = XmCreateLabel(pointScreenW, "pt_v3", arglst, 4);
  XtManageChild(pointLabelW[3]);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized(" "));
  XtSetArg(arglst[1], XmNwidth, 440);
  XtSetArg(arglst[2], XmNx, 10);
  XtSetArg(arglst[3], XmNy, 85);
  pointLabelW[4] = XmCreateLabel(pointScreenW, "pt_v4", arglst, 4);
  XtManageChild(pointLabelW[4]);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized(" "));
  XtSetArg(arglst[1], XmNwidth, 440);
  XtSetArg(arglst[2], XmNx, 10);
  XtSetArg(arglst[3], XmNy, 100);
  pointLabelW[5] = XmCreateLabel(pointScreenW, "pt_v5", arglst, 4);
  XtManageChild(pointLabelW[5]);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Color"));
  XtSetArg(arglst[1], XmNx, 130);
  XtSetArg(arglst[2], XmNy, 145);
  XtSetArg(arglst[3], XmNforeground, pixels_return[RED]);
  pointColorW = XmCreatePushButton(pointScreenW, "pt_color", arglst, 4);
  XtAddCallback(pointColorW, XmNactivateCallback, point_color_activate, NULL);
  XtManageChild(pointColorW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Center"));
  XtSetArg(arglst[1], XmNx, 190);
  XtSetArg(arglst[2], XmNy, 145);
  pointCenterW = XmCreatePushButton(pointScreenW, "pt_center", arglst, 3);
  XtAddCallback(pointCenterW, XmNactivateCallback, drawCenterMarker, NULL);
  XtManageChild(pointCenterW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Histogram"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 175);
  pointHistW = XmCreateToggleButton(pointScreenW, "pt_hist", arglst, 3);
  *tag1 = USEHIST;
  XtAddCallback(pointHistW, XmNvalueChangedCallback, 
		histMode_change, (XtPointer)tag1);
  XtManageChild(pointHistW);

} // end function create_pointscreen
