#include "gui.h"

void create_rescalescreen () {
  // function name: create_rescalescreen
  // Create and initialize attributes of rescale screen

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, 
	   XmStringCreateLocalized("Rescale Densities in 3D Map"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 700);
  XtSetArg(arglst[5], XmNy, 100);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 250);
  rescaleScreenW = XmCreateFormDialog(toplevel_widget, "rescale", arglst, 8);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Rescale Densities"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 200);
  rescaleDoW = XmCreatePushButton(rescaleScreenW, "rescale_do", arglst, 3);
  XtAddCallback(rescaleDoW, XmNactivateCallback, rescale_densities, NULL);
  XtManageChild(rescaleDoW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 200);
  rescaleExitW = XmCreatePushButton(rescaleScreenW, "rescale_exit", arglst, 5);
  XtAddCallback(rescaleExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(rescaleExitW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Old Min Density =  000.000   Enter NEW Min: "));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 10);
  rescaleOldMinW = XmCreateLabel(rescaleScreenW, "rescale_oldmin", arglst, 3);
  XtManageChild(rescaleOldMinW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Old Max Density =  000.000   Enter NEW Max: "));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 60);
  rescaleOldMaxW = XmCreateLabel(rescaleScreenW, "rescale_oldmax", arglst, 3);
  XtManageChild(rescaleOldMaxW);

  XtSetArg(arglst[0], XmNcolumns, 9);
  XtSetArg(arglst[1], XmNx, 400);
  XtSetArg(arglst[2], XmNy, 10);
  rescaleNewMinW = XmCreateText(rescaleScreenW, "rescale_newmin", arglst, 3);
  XtManageChild(rescaleNewMinW);

  XtSetArg(arglst[0], XmNcolumns, 9);
  XtSetArg(arglst[1], XmNx, 400);
  XtSetArg(arglst[2], XmNy, 60);
  rescaleNewMaxW = XmCreateText(rescaleScreenW, "rescale_newmax", arglst, 3);
  XtManageChild(rescaleNewMaxW);

} // end function create_rescalescreen
