#include "gui.h"

void create_rotatescreen () {
  // function name: create_rotatescreen
  // Create and initialize attributes of rotate map screen
  
  int *tag1;
  tag1 = (int *) malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, XmStringCreateLocalized("Rotate map"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 640);
  XtSetArg(arglst[5], XmNy, 250);
  XtSetArg(arglst[6], XmNwidth, 450);
  XtSetArg(arglst[7], XmNheight, 200);
  rotateScreenW = XmCreateFormDialog(toplevel_widget, "rot", arglst, 8);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 20);
  XtSetArg(arglst[4], XmNy, 160);
  rotateExitW = XmCreatePushButton(rotateScreenW, "rot_exit", arglst, 5);
  XtAddCallback(rotateExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(rotateExitW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 30);
  XtSetArg(arglst[2], XmNheight, 34);
  XtSetArg(arglst[3], XmNx, 120);
  XtSetArg(arglst[4], XmNy, 160);
  rotateHelpW = XmCreatePushButton(rotateScreenW, "rot_help", arglst, 5);
  *tag1 = ROTATE;
  XtAddCallback(rotateHelpW, XmNactivateCallback, 
		context_help_screen_activate, (XtPointer)tag1);
  XtManageChild(rotateHelpW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Rotate Map"));
  XtSetArg(arglst[1], XmNx, 20);
  XtSetArg(arglst[2], XmNy, 120);
  rotateDoW = XmCreatePushButton(rotateScreenW, "rot_do", arglst, 3);
  XtAddCallback(rotateDoW, XmNactivateCallback, rotate_do_activate, NULL);
  XtManageChild(rotateDoW);

  XtSetArg(arglst[0], XmNx, 10);      // Common attribute for labels

  XtSetArg(arglst[1], XmNlabelString, XmStringCreateLocalized("Theta"));
  XtSetArg(arglst[2], XmNy, 10);
  rotateThetaLabelW = XmCreateLabel(rotateScreenW, "rot_tl", arglst, 3);
  XtManageChild(rotateThetaLabelW);

  XtSetArg(arglst[1], XmNlabelString, XmStringCreateLocalized("Phi"));
  XtSetArg(arglst[2], XmNy, 40);
  rotatePhiLabelW = XmCreateLabel(rotateScreenW, "rot_pl", arglst, 3);
  XtManageChild(rotatePhiLabelW);

  XtSetArg(arglst[1], XmNlabelString, XmStringCreateLocalized("Omega"));
  XtSetArg(arglst[2], XmNy, 70);
  rotateOmegaLabelW = XmCreateLabel(rotateScreenW, "rot_ol", arglst, 3);
  XtManageChild(rotateOmegaLabelW);

  XtSetArg(arglst[0], XmNcolumns, 9); // Common attribute for text boxes
  XtSetArg(arglst[1], XmNx, 100);     // Common attribute for text boxes

  XtSetArg(arglst[2], XmNy, 10);
  rotateThetaW = XmCreateText(rotateScreenW, "rot_tt", arglst, 3);
  XtManageChild(rotateThetaW);

  XtSetArg(arglst[2], XmNy, 40);
  rotatePhiW = XmCreateText(rotateScreenW, "rot_pt", arglst, 3);
  XtManageChild(rotatePhiW);

  XtSetArg(arglst[2], XmNy, 70);
  rotateOmegaW = XmCreateText(rotateScreenW, "rot_ot", arglst, 3);
  XtManageChild(rotateOmegaW);

} // end function create_rotatescreen
