#include "gui.h"

void create_statusscreen () {
  // function name: create_statusscreen
  // Create and initialize attributes of status screen
  
  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, XmStringCreateLocalized("Status"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 300);
  XtSetArg(arglst[5], XmNy, 120);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 200);
  statusScreenW = XmCreateFormDialog(toplevel_widget, "status", arglst, 8);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 15);
  XtSetArg(arglst[4], XmNy, 150);
  statusStopW = XmCreatePushButton(statusScreenW, "status_stop", arglst, 5);
  XtManageChild(statusStopW);

  XtSetArg(arglst[0], XmNscrollVertical, 1);
  XtSetArg(arglst[1], XmNscrollHorizontal, 0);
  XtSetArg(arglst[2], XmNeditMode, XmMULTI_LINE_EDIT);
  XtSetArg(arglst[3], XmNcursorPositionVisible, 1);
  XtSetArg(arglst[4], XmNwordWrap, 1);
  XtSetArg(arglst[5], XmNcolumns, 82);
  XtSetArg(arglst[6], XmNrows, 4);
  XtSetArg(arglst[7], XmNx, 15);
  XtSetArg(arglst[8], XmNy, 15);
  statusTextW = XmCreateScrolledText(statusScreenW, "status_text", arglst, 9);
  XtManageChild(statusTextW);

} // end function create_statusscreen
