
C  **********************************************************************
C  *                                                                    *
C  *             *****    SUBROUTINE FFT_MAP_FILL_PPFT *****            *
C  *                                                                    *
C  *    LOAD IDIM1 X IDIM2 "FFT" ARRAY INTO NCOL X NROW "MAP" SECTION.  *
C  *                                                                    *
C  *    JANUARY 1992  PURDUE UNIVERSITY VAX 8550, T. BAKER.             *
C  *    LAST MODIFIED 2-SEP-1999 BY TSB (Rid of EM_WRT).                *
C  **********************************************************************
C
      SUBROUTINE FFT_MAP_FILL_PPFT (FFT, IDIM1, IDIM2, MAP, NCOL, NROW)

      IMPLICIT NONE

      INTEGER*4, INTENT(IN) :: NCOL, NROW, IDIM1, IDIM2
      complex, INTENT(IN)   :: FFT(IDIM1,IDIM2)

      REAL*4, INTENT(OUT)   :: MAP(NCOL,NROW)

      INTEGER*4 I, J

      DO J = 1,NROW
         DO I = 1,NCOL
            MAP(I,J) = real(FFT(I,J))
         ENDDO
      ENDDO

      RETURN
      END SUBROUTINE FFT_MAP_FILL_PPFT
