      SUBROUTINE MAP_XFLIP (MAP, NCOL, NROW)

C     Flip map section about vertical axis (x -> -x). Note that this
C     will work for both even and odd values of the map dimensions.
C
C     FEBRUARY 1993  PURDUE UNIVERSITY VAX 8550, T. BAKER.
C     Modified 18-aug-2006, R Sinkovits, minor cleanup

      IMPLICIT NONE

      INTEGER*4, INTENT(IN) :: NCOL, NROW
      REAL*4, INTENT(INOUT) :: MAP(NCOL,NROW)

      INTEGER*4 I, II, J
      REAL*4 TMP

      DO J = 1,NROW
         DO I = 1,(NCOL/2)
            II        = NCOL - (I - 1)
            TMP       = MAP(I,J)
            MAP(I,J)  = MAP(II,J)
            MAP(II,J) = TMP
         ENDDO        
      ENDDO
      
      RETURN
      END SUBROUTINE MAP_XFLIP
