#!/usr/bin/perl
use strict;
use warnings;

# Utility script used in conjunction with setup_rmc to cleanup files
# associated with unused random models.

my ($rundir, $nmodels) = @ARGV;

# Get rid of files and directories for unused random models
for (my $i=1; $i<=$nmodels; $i++) {
    unless(-r "RMC${i}_summary") {
	unlink "RMC${i}_master";
	unlink <$rundir/RMC${i}/*>;
	rmdir "$rundir/RMC${i}";
    }
}
