C     Definitions for OPEN statements
      integer, parameter :: pix_file_unit = 10

C     Set the maximum number of nodes for parallel jobs
      integer, parameter :: max_numnodes = 512

C     Integer flag used to select even and odd particles
      integer oddeven
      common /comoddeven/ oddeven

C     MPI variables
      integer iam, mpi_err, num_nodes
      common /comconst_i/ iam, num_nodes ,mpi_err

C     Program name
      character(len=8) progname
      common  /progname_c/ progname

C     Arrays needed for parallel codes
      integer scounts(0:max_numnodes-1), rcounts(0:max_numnodes-1),
     $     sdispls(0:max_numnodes-1), rdispls(0:max_numnodes-1)
      
      integer frst_lst_hk(2,0:max_numnodes-1),
     $        frst_lst_iq(2,0:max_numnodes-1),
     $        frst_lst_rr_out(2,0:max_numnodes-1),
     $        frst_lst_view(2,0:max_numnodes-1),
     $        frst_lst_u(2,0:max_numnodes-1),
     $        frst_lst_y(2,0:max_numnodes-1),
     $        frst_lst_z(2,0:max_numnodes-1)

      common / com_small_arrays / scounts, sdispls, rcounts, rdispls,
     $     frst_lst_hk, frst_lst_iq, frst_lst_rr_out, frst_lst_view,
     $     frst_lst_u, frst_lst_y, frst_lst_z
