C     --- Parameters obtained from input files or set in info ---

      integer nparam                   ! # of parameter files
      integer nimg                     ! # of image files
      integer nimg_per_param(pfilesmx) ! images per parameter file
      integer nptle_per_img(pfilesmx)  ! particles per image
      integer first_index(pfilesmx)    ! index of 1st record assoc with image

      common /counts/ nparam, nimg, nimg_per_param, nptle_per_img,
     $    first_index

      character(len=filename_len) :: pix_file_name, ort_file_name,
     $     out_file_name, in_3d_name, ort_out_name, fsc_file_name
      
      integer num_symm, symm_code, min_x, max_x, min_y, max_y, min_z,
     $     max_z, out_file_len
      
      integer, parameter :: units = 1
      integer, parameter :: PLOCAL=0, PGLOBAL=1, PMAG=2, PTICOS_EQUIV=3
      
      real res_max, rad_proj_in, resolution, res_min, 
     $     zero_fill, ctf_ff1, ctf_ff2, tempfac, angstrom_per_pix, 
     $     dangle, funcweight, dcenter, mapmagfactor, magfstep,
     $     gangle
      
      integer max_views, npix_row, npix_col, npix_sec,
     $     num_den_pix, pixhd_htyp, outmode,
     $     ctfmode, filter, nangle, funcmode, ncenter,
     $     quick_search, apo_border, per_ptle_ctf,
     $     nmagf, handtest, refine_mode, magfreset,
     $     magfcalib

      common /inpt_com_i/ out_file_len, num_symm, symm_code, min_x,
     $     max_x, min_y, max_y, min_z, max_z, max_views,
     $     npix_row, npix_col, npix_sec, num_den_pix, pixhd_htyp,
     $     outmode, ctfmode, filter, nangle, funcmode,
     $     ncenter, quick_search, apo_border, per_ptle_ctf,
     $     nmagf, handtest, refine_mode, magfreset,
     $     magfcalib
      
      common /inpt_com_r/ res_max, rad_proj_in, resolution, 
     $     mapmagfactor, zero_fill, ctf_ff1, ctf_ff2, tempfac, 
     $     angstrom_per_pix, dangle, res_min, funcweight, dcenter,
     $     magfstep, gangle
      
      common /inpt_com_char/ pix_file_name, ort_file_name,
     $     out_file_name, in_3d_name, ort_out_name, fsc_file_name
      
C     --- Parameters obtained from image and parameter files ---

      character(len=filename_len) :: param_fnames(pfilesmx)

C     Data from headers of parameter files
      real pixsizs(pfilesmx), volts(pfilesmx), delf_majs(pfilesmx),
     $     delf_mins(pfilesmx), ang_majs(pfilesmx), ampfacs(pfilesmx),
     $     cs_coeffs(pfilesmx)

      character(len=filename_len) :: img_fnames(pfilesmx)

      integer min_nids, box_out, nfiles
      integer nbox(pfilesmx), nids(pfilesmx)

      real pixsiz_out, pixsiz_max 

      common/ctf_stuff/pixsizs, volts, ampfacs, delf_majs,
     $     delf_mins, ang_majs, cs_coeffs, pixsiz_out, pixsiz_max
      
      common/files_name/ param_fnames, img_fnames
      
      common/files_int/ min_nids, nfiles, box_out, nbox, nids
