      subroutine indexx(n, iarr, indx)
      implicit none

      integer, intent(in) :: n
      integer, intent(in) :: iarr(n)
      integer, intent(inout) :: indx(n)

      integer, parameter :: nn=15, nstack=50
      integer :: a
      integer :: k,i,j,indxt,jstack,l,r
      integer :: istack(nstack)
      
      do i=1,n
         indx(i) = i
      enddo

      jstack=0
      l=1
      r=n
      do
         if(r-l < nn) then
            do j=l+1,r
               indxt=indx(j)
               a=iarr(indxt)
               do i=j-1,l,-1
                  if (iarr(indx(i)) <= a) exit
                  indx(i+1)=indx(i)
               enddo
               indx(i+1)=indxt
            enddo
            if (jstack == 0) return
            r=istack(jstack)
            l=istack(jstack-1)
            jstack=jstack-2
         else
            k=(l+r)/2
            call swap(indx(k),indx(l+1))
            call icomp_xchg(indx(l),indx(r))
            call icomp_xchg(indx(l+1),indx(r))
            call icomp_xchg(indx(l),indx(l+1))
            i=l+1
            j=r
            indxt=indx(l+1)
            a=iarr(indxt)
            do
               do
                  i=i+1
                  if (iarr(indx(i)) >= a) exit
               enddo
               do
                  j=j-1
                  if (iarr(indx(j)) <= a) exit
               enddo
               if (j < i) exit
               call swap(indx(i),indx(j))
            enddo
            indx(l+1)=indx(j)
            indx(j)=indxt
            jstack=jstack+2
            if (r-i+1 >= j-l) then
               istack(jstack)=r
               istack(jstack-1)=i
               r=j-1
            else
               istack(jstack)=j-1
               istack(jstack-1)=l
               l=i
            endif
         endif
      enddo

      contains
      
      subroutine icomp_xchg(i,j)
      integer, intent(inout) :: i,j
      integer :: swp
      if (iarr(j) < iarr(i)) then
         swp=i
         i=j
         j=swp
      endif
      end subroutine icomp_xchg

      subroutine swap(i,j)
      integer, intent(inout) :: i,j
      integer :: swp
      swp=i
      i=j
      j=swp
      end subroutine swap
      

      end subroutine indexx
