      subroutine error_stop(prog_name, subname, char_string)
      implicit none

#ifdef MPI
      include 'mpif.h'
#endif

      character*(*), intent(in) :: prog_name, subname, char_string
      integer mpi_err

      write(*,*) 'Abnormal program termination - calling MPI_Abort'
      write(*,1000) prog_name, subname, char_string
 1000 format('program name:    ',A,/,
     $       'subroutine name: ',A,/,
     $       'error:           ',A)

#ifdef MPI
      call MPI_Abort( MPI_COMM_WORLD, 2, mpi_err)
#endif

      stop
      return
      end subroutine error_stop
