#include "gui.h"

void create_domegascreen () {
  // function name: create_domegascreen
  // Create/initialize add delta omega screen
  
  int *tag1;
  tag1 = (int *) malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, 
	   XmStringCreateLocalized("Add Delta Omega"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 700);
  XtSetArg(arglst[5], XmNy, 100);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 150);
  XtSetArg(arglst[8], XmNresizePolicy, XmRESIZE_NONE);
  domegaScreenW = XmCreateFormDialog(toplevel_widget, "dos", arglst, 9);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 100);
  domegaExitW = XmCreatePushButton(domegaScreenW, "doa_exit", arglst, 5);
  XtAddCallback(domegaExitW, XmNactivateCallback, 
		simple_deactivate, NULL);
  XtManageChild(domegaExitW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 30);
  XtSetArg(arglst[2], XmNheight, 34);
  XtSetArg(arglst[3], XmNx, 80);
  XtSetArg(arglst[4], XmNy, 100);
  domegaHelpW = XmCreatePushButton(domegaScreenW, "doa_help", arglst, 5);
  *tag1 = DELTAOMEGA;
  XtAddCallback(domegaHelpW, XmNactivateCallback, 
		context_help_screen_activate, (XtPointer)tag1);
  XtManageChild(domegaHelpW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Delta Omega:"));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 15);
  domegaLabelW = XmCreateLabel(domegaScreenW, "doa_lab", arglst, 3);
  XtManageChild(domegaLabelW);

  XtSetArg(arglst[0], XmNcolumns,  12);
  XtSetArg(arglst[1], XmNx, 130);
  XtSetArg(arglst[2], XmNy, 10);
  domegaTextW = XmCreateText(domegaScreenW, "doa_txt", arglst, 3);
  XtManageChild(domegaTextW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Adjust Omega values"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 100);
  domegaDoW = XmCreatePushButton(domegaScreenW, "doa_do", arglst, 3);
  XtAddCallback(domegaDoW, XmNactivateCallback, 
		partproc_deltaomega_work, NULL);
  XtManageChild(domegaDoW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Convert OLD omega to NEW"));
  XtSetArg(arglst[1], XmNx, 330);
  XtSetArg(arglst[2], XmNy, 100);
  domegaOldW = XmCreatePushButton(domegaScreenW, "doa_old", arglst, 3);
  XtAddCallback(domegaOldW, XmNactivateCallback, 
		partproc_deltaoldNew_work, NULL);
  XtManageChild(domegaOldW);

} // end function create_domegascreen
