#include "gui.h"

void create_imgconvscreen () {
  // function name: create_imgconvscreen
  // Create and initialize attributes of image convolution screen
  
  int *tag1, *tag2;
  tag1 = (int *) malloc(sizeof(int));
  tag2 = (int *) malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, 
	   XmStringCreateLocalized("Image Convolution"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 540);
  XtSetArg(arglst[5], XmNy, 200);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 450);
  XtSetArg(arglst[8], XmNresizePolicy, XmRESIZE_NONE);
  imgconvScreenW = XmCreateFormDialog(toplevel_widget, "ic", arglst, 9);

  XtSetArg(arglst[0], XmNlabelString,
	   XmStringCreateLocalized("Image #2:  Not yet.                    "));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 10);
  XtSetArg(arglst[3], XmNwidth, 400);  
  imgconvLabelW = XmCreateLabel(imgconvScreenW, "ic_lab", arglst, 4);
  XtManageChild(imgconvLabelW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 20);
  XtSetArg(arglst[4], XmNy, 370);
  imgconvExitW = XmCreatePushButton(imgconvScreenW, "ic_exit", arglst, 5);
  XtAddCallback(imgconvExitW, XmNactivateCallback, imgconv_deactivate, NULL);
  XtManageChild(imgconvExitW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Try it"));
  XtSetArg(arglst[1], XmNx, 120);
  XtSetArg(arglst[2], XmNy, 370);
  imgconvTryW = XmCreatePushButton(imgconvScreenW, "ic_try", arglst, 3);
  XtAddCallback(imgconvTryW, XmNactivateCallback, 
		imgconv_tryit_activate, NULL);
  XtManageChild(imgconvTryW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 30);
  XtSetArg(arglst[2], XmNheight, 34);
  XtSetArg(arglst[3], XmNx, 220);
  XtSetArg(arglst[4], XmNy, 370);
  imgconvHelpW = XmCreatePushButton(imgconvScreenW, "ic_help", arglst, 5);
  *tag1 = IMGCONV;
  XtAddCallback(imgconvHelpW, XmNactivateCallback, 
		context_help_screen_activate, (XtPointer)tag1);
  XtManageChild(imgconvHelpW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Get Image #2"));
  XtSetArg(arglst[1], XmNx, 310);
  XtSetArg(arglst[2], XmNy, 370);
  imgconvFileW = XmCreatePushButton(imgconvScreenW, "ic_file", arglst, 3);
  *tag2 = IMGCONV;
  XtAddCallback(imgconvFileW, XmNactivateCallback, 
		simple_activate, (XtPointer)tag2);
  XtManageChild(imgconvFileW);

} // end function create_imgconvscreen
