#include "gui.h"

void create_manipppscreen () {
  // function name: create_manipppscreen
  // Create/initialize manipulate ptle parameter screen
  
  int *tag1, *tag2, *tag3;
  tag1 = (int *) malloc(sizeof(int));
  tag2 = (int *) malloc(sizeof(int));
  tag3 = (int *) malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, 
	   XmStringCreateLocalized("Manipulate Particle Parameters"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 700);
  XtSetArg(arglst[5], XmNy, 100);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 250);
  XtSetArg(arglst[8], XmNresizePolicy, XmRESIZE_NONE);
  manipPPScreenW = XmCreateFormDialog(toplevel_widget, "mpp", arglst, 9);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 200);
  manipPPExitW = XmCreatePushButton(manipPPScreenW, "mpp_exit", arglst, 5);
  XtAddCallback(manipPPExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(manipPPExitW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 30);
  XtSetArg(arglst[2], XmNheight, 34);
  XtSetArg(arglst[3], XmNx, 80);
  XtSetArg(arglst[4], XmNy, 200);
  manipPPHelpW = XmCreatePushButton(manipPPScreenW, "mpp_help", arglst, 5);
  *tag1 = MANIPPP;
  XtAddCallback(manipPPHelpW, XmNactivateCallback, 
		context_help_screen_activate, (XtPointer)tag1);
  XtManageChild(manipPPHelpW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Do the manipulation"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 200);
  manipPPDoW = XmCreatePushButton(manipPPScreenW, "mpp_do", arglst, 3);
  XtAddCallback(manipPPDoW, XmNactivateCallback, partproc_manip_work, NULL);
  XtManageChild(manipPPDoW);

  XtSetArg(arglst[0], XmNcolumns,12);
  XtSetArg(arglst[1], XmNx, 230);
  XtSetArg(arglst[2], XmNy, 10);
  manipPPValueW = XmCreateText(manipPPScreenW, "mpp_val", arglst, 3);
  XtManageChild(manipPPValueW);

  XtSetArg(arglst[0], XmNunitType, XmPIXELS);
  XtSetArg(arglst[1], XmNorientation, XmVERTICAL);
  XtSetArg(arglst[2], XmNborderWidth, 1);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 10);
  manipPPRadioW = XmCreateRadioBox(manipPPScreenW, "mpp_rad", arglst, 5);
  XtManageChild(manipPPRadioW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Randomize Centers"));
  manipPPRandW = XmCreateToggleButton(manipPPRadioW, "mpp_rand", arglst, 1);
  *tag2 = RANDCENTER;
  XtAddCallback(manipPPRandW, XmNvalueChangedCallback, 
		manipPP_change, (XtPointer)tag2);
  XtManageChild(manipPPRandW);

  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Not implemented yet"));
  manipPPUnkW = XmCreateToggleButton(manipPPRadioW, "mpp_unk", arglst, 1);
  *tag3 = UNKPP;
  XtAddCallback(manipPPUnkW, XmNvalueChangedCallback, 
		manipPP_change, (XtPointer)tag3);
  XtManageChild(manipPPUnkW);

} // end function create_manipppscreen
