#include "gui.h"

void create_normalscreen () {
  // function name: create_normalscreen
  // Create and initialize attributes of normalization screen

  int *tag1;
  tag1 = (int *)malloc(sizeof(int));

  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, 
	   XmStringCreateLocalized("Normalize Means/Bkgs"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 700);
  XtSetArg(arglst[5], XmNy, 100);
  XtSetArg(arglst[6], XmNwidth, 550);
  XtSetArg(arglst[7], XmNheight, 250);
  normalScreenW = XmCreateFormDialog(toplevel_widget, "norm", arglst, 8);
  
  XtSetArg(arglst[0], XmNlabelString, 
	   XmStringCreateLocalized("Do the normalization"));
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 200);
  normalDoW = XmCreatePushButton(normalScreenW, "norm_do", arglst, 3);
  XtAddCallback(normalDoW, XmNactivateCallback, normalize_activate_2, NULL);
  XtManageChild(normalDoW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 10);
  XtSetArg(arglst[4], XmNy, 200);
  normalExitW = XmCreatePushButton(normalScreenW, "norm_exit", arglst, 5);
  XtAddCallback(normalExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(normalExitW);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 30);
  XtSetArg(arglst[2], XmNheight, 34);
  XtSetArg(arglst[3], XmNx, 80);
  XtSetArg(arglst[4], XmNy, 200);
  normalHelpW = XmCreatePushButton(normalScreenW, "norm_help", arglst, 5);
  *tag1 = NORMALHELP;
  XtAddCallback(normalHelpW, XmNactivateCallback, 
		context_help_screen_activate, (XtPointer)tag1);
  XtManageChild(normalHelpW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Mean: "));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 10);
  normalMeanLabelW = XmCreateLabel(normalScreenW, "norm_mlabel", arglst, 3);
  XtManageChild(normalMeanLabelW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("StDev: "));
  XtSetArg(arglst[1], XmNx, 10);
  XtSetArg(arglst[2], XmNy, 40);
  normalStdLabelW = XmCreateLabel(normalScreenW, "norm_slabel", arglst, 3);
  XtManageChild(normalStdLabelW);

  XtSetArg(arglst[0], XmNcolumns, 12);
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 10);
  normalMeanW = XmCreateText(normalScreenW, "norm_mean", arglst, 3);
  XtManageChild(normalMeanW);

  XtSetArg(arglst[0], XmNcolumns, 12);
  XtSetArg(arglst[1], XmNx, 150);
  XtSetArg(arglst[2], XmNy, 40);
  normalStdW = XmCreateText(normalScreenW, "norm_std", arglst, 3);
  XtManageChild(normalStdW);

} // end function create_normalscreen
