#define VERSION       20001
#define STATS         20002
#define PARTPROC      20003
#define EMCORAVG      20004
#define COLORMAP      20005
#define EMCORAVGREAD  20006
#define IMGCONVREAD   20007
#define PARTPROCWRITE 20008
#define OPTIONS       20009
#define NUMCOLS 2048
#define NUMROWS 2048
#define DEF_DISPLAY_BUFFER_SIZE 1300
#define LITE_DEF_DISPLAY_BUFFER_SIZE 512
#define DEF_DISPLAY_SIZE 900
#define MAXSIZE 2048
#define MAXFILESIZE 10000
#define MAXBOX 15000
#define BOX_WIDTH 1600
#define BOX_HEIGHT 1600
#define THISTWOPI 6.283185307
#define PIXELCOLOR 255.99609375
#define MAXSECTIONS 500
#define MAXPACKEDFILES 2000
#define MAXCTFS 20
#define MAXREGIONS 50
#define BMAX 500000
#define FONT "fixed"
#define WHITE 0
#define BLACK 1
#define RED 2
#define GREEN 3
#define BLUE 4
#define PLACEHOLDER 5
#define YELLOW 3
#define ENTRY 0
#define BRIGHT 5
#define GREY 150
#define REVERSE 1
#define FULL 0
#define EMPTY 1
#define USEGENERIC 10
#define USEFITTO 11
#define USERANDOM 20
#define USEBUILD 21
#define CIRCLEDISP 22
#define USEPOINT 23
#define READCM 24
#define WRITECM 25
#define STEPCM 96
#define USEREVERSE 27
#define USEAVGPIXEL 28
#define USERANDPIXEL 29
#define IMGNUMBUTTON 32
#define USELOCK 26
#define USESECTION 95
#define USEZOOM 12
#define USEBOX 13
#define USESQUARE 16
#define USECIRCLE 17
#define USEPOLY 18
#define USERECT 19
#define USEHIST 42
#define USEMAPSHADE 33
#define USEIMMEDIATE 35
#define USERADIAL 41
#define USESTEREO 258
#define USERADPROJ 275
#define SF 276
#define READING 50
#define WRITING 51
#define ALL 711
#define MAP 16
#define FLOATMAP 24
#define EMPORTABLE 8
#define EMPORTABLEI4 9
#define EMPORTABLEI2 10
#define PACKEDPORTABLE 4
#define BYTEPORTABLE 140
#define PORTABLE 156
#define PIFMAP 97
#define REBOX 99
#define CCP4 157
#define MRCPACKED 158
#define MRCMAP 159
#define MRCSCAN 160
#define CIRCLEPACKED 61
#define RECTPACKED 62
#define BOXCOORDS 63
#define STATE 65
#define APPENDCIRCLEPACKED 66
#define APPENDRECT 67
#define TIFF 91
#define DEPTHCUED 97
#define ZOOM 2
#define NONE 0
#define MAPMOVIE 70
#define FRACT 72
#define ANGX 73
#define ANGY 74
#define SURFDENS 75
#define THETA 76
#define MAPSTOP 77
#define UNDO 78
#define INFINIMAP 81
#define MOVIEMIN 82
#define MOVIEMAX 83
#define ROCKER 84
#define FLASHLIGHT 93
#define IREV 98
#define RADIUS 99
#define MAXRADIUS 103
#define X 106
#define Y 107
#define MINRADIUS 109
#define USE 263
#define AUTOBOX 266
#define DELTA 267
#define NUMCONT 268
#define USECONT 269
#define BREAKPOINT 270
#define AUTOBOX2 272
#define CORRELATE2 273
#define USECONTRAST 279
#define CLEARBOXES 280
#define USEHISTEQUAL 281
#define ARCHIVE 282
#define FFTLOCK 283
#define A512FFT 284
#define A256FFT 285
#define A128FFT 286
#define DEMO 287
#define AMPLITUDE 288
#define FIXADD 293
#define FIXMULT 294
#define FIXOVER 295
#define KV 304
#define BACKTRANS 307
#define NOCONTRAST 308
#define INVERT 309
#define BOXRADIUSBUTTON 315
#define EMMARADIUSBUTTON 318
#define FEATHERRADIUSBUTTON 321
#define CIRCLEWIDTH 324
#define DRAWREFINE 336
#define REMOVEBOXES 339
#define CMDREMOVEBOXES 341
#define DARKREF 354
#define IMG 355
#define LAST 356
#define THINNING 357
#define A1024FFT 363
#define DRAWCLUSTERS 364
#define DRAWREFERENCE 365
#define SCROLL 369
#define SINGLE 370
#define VERSIONUP 372
#define VERSIONDOWN 373
#define DISP1DCA 377
#define PARAMFILE 379
#define DISPCENTERS 380
#define MOVEMENT 387
#define VIEWS 390
#define NEWXY 401
#define PARAMMAP 404
#define PARAMPROJ 405
#define PROJCONTOUR 406
#define PARAMSCAN 407
#define BATCHJOB 408
#define INTENSITY 411
#define CTFENHANCE 414
#define INCDEC 419
#define NOISE 426
#define TAHELP 435
#define VOLUME 442
#define Z 467
#define BACK 474
#define LEFT 475
#define RIGHT 476
#define TOP 477
#define BOTTOM 478
#define STEPTEXT 485
#define PIXELSIZE 490
#define LOHIRES 491
#define BINTEXT 497
#define FOURIERFILT 506
#define FFTHELP 514
#define PHI 516
#define OMEGA 517
#define HELPTOOLW 522
#define SUBTRACTMAP 523
#define DRAWHILO 533
#define TWODLINES 534
#define WRITEFFT 535
#define WRITEBACK 536
#define BOXHELP 539
#define FOURAVERHELP 547
#define FARADIUS 549
#define FACUT 550
#define P2 551
#define PGG 552
#define CMM 553
#define P4 554
#define P4M 555
#define P4G 556
#define P6 557
#define P6M 558
#define PM 100001
#define PG 100002
#define CM 100003
#define PMM 100004
#define PMG 100005
#define P3 100006
#define P3M1 100007
#define P31M 100008
#define DELTAXY 573
#define DELTAOMEGA 577
#define APPLYINVERSECTF 579
#define MAJORDEFOCUS 580
#define MINORDEFOCUS 581
#define AMPFACTOR 582
#define GAUSSNOISE 585
#define WIENER 586
#define ANGMAJOR 587
#define TFACTOR 588
#define MODE 589
#define MANIPPP 594
#define APPLYCTFR4 595
#define APPLYINVERSECTFR4 596
#define UNKPP 599
#define RANDCENTER 600
#define NORMALHELP 606
#define OLD 610
#define EXPONENTIAL 611
#define GAUSSIAN 612
#define LINEAR 613
#define PICK 616
#define APPODIZEHELP 617
#define SAVESECOND 644
#define PCX 653
#define SHOWRADII 659
#define AUTODRHELP 663
#define ICOSAQUARTER 676
#define THRESHDOIT 677
#define PAINTMAP 686
#define LOPHIP 687
#define LOP 688
#define HIP 689
#define SHIFTORIGX 694
#define INTERP 702
#define FIX2D 706
#define FIXPREVIEW 710
#define AMMCORRCOEF 712
#define AMMAVGDENS 713
#define FIXRESTORE 714
#define CYCLEREF 715
#define REFCIRCAVG 716
#define REFAUTOMATE 717
#define ROTFLTHELP 719
#define TESTARCH 722
#define USEAVGCORAVG 727
#define SHOWLOWLIM 741
#define APPLYINVERSECTF2 744
#define APPLYINVERSECTF3 745
#define RECALCFFT 746
#define CAVGPP 749
#define CAVGDO 750
#define NSYMDO 751
#define PARAMXY 754
#define BOXXY 755
#define PLOTCAVGPP 756
#define APPLYINVERSE1CTF 756
#define APPLYINVERSE2CTF 757
#define APPLYINVERSE3CTF 758
#define APPLYINVERSE4CTF 759
#define APPLYINVERSE5CTF 760
#define DIOHELP 778
#define CUTFACE 780
#define CUTASYM 781
#define BULGE 782
#define ICOSNORMAL 783
#define DIODESTROY 786
#define IMGCONV 791
#define FOURAVERSF 794
#define REFREADFILE 795
#define AUTO2DDRHELP 799
#define THRESHABS 805
#define DILATE 808
#define READPARAM 810
#define MODELHELP 823
#define SQUARE 824
#define CIRCLE 825
#define TRIANGLE 826
#define MBUSEIMMEDIATE 846
#define CYLINDER 847
#define ICOS 848
#define ICOSREPL 849
#define AMMSTDEV 854
#define SHOWBOXINGSTATS 859
#define MRC 860
#define BINNING 862
#define DISP1024FFT 868
#define FEG 869
#define FEG300 870
#define EM300 871
#define EM420W 872
#define EM420L 873
#define JEOL_EM_2010F_HT_FEG 874
#define JEOL_EM_2010F_UHR_FEG 875
#define JEOL1010 876
#define Hitachi_H9000 877
#define Hitachi_HF2000 878
#define FEI_Tecnai_G2_Polara 879
#define FEI_Tecnai_G2_Sphera 880
#define CORRELATE3 881
#define EMPTYSHELLBUTTON 883
#define ROTATE 901
#define BOXES  902
#define FFT 120
#define FFTMIN 121
#define FFTMAX 122
#define LINEARFFT 123
#define LOGFFT 124
#define NONLINFFT 125
#define BACKFFT 126
#define LAT1X 128
#define LAT1Y 129
#define LAT2X 130
#define LAT2Y 131
#define CONTOUR 132
#define FILTER 133
#define FILTSIZE 134
#define DRAWLAT 136
#define HARD 137
#define SOFT 138
#define LAYERLINES 141
#define LATCOLOR 142
#define CTF 146
#define LATREFINE 147
#define FFTZOOM 232
#define PICKCTF 233
#define CTFCURVE 236
#define CTFCURVENUM 237
#define CTF_FOCUSMIN 241
#define CTF_ANGMAJOR 242
#define CTF_FOCUSMAJ 243
#define RASTERSTEP 245
#define FFTTFAC 246
#define SPABER 251
#define APPLYCTF 252
#define FFTMEASURE 271
#define FFTCONTOUR 274
#define TRYIT 172
#define ADSCALE 160
#define CORRELATE 90
#define UNBLOBSIZE 204
#define UNBLOBRADIUS 206
#define MINX 208
#define MINY 209
#define MINZ 210
#define MAXX 211
#define MAXY 212
#define MAXZ 213
#define CANCEL 224
#define HISTORIC 225
#define YAXIS 22
#define UNITCELL 2
#define HISTOGRAM 3
#define ICOSORT 4
#define XYPLOT 5
#define ABSDELTAXT 21
#define ABSDELTAYT 22
#define CMPCC 18
#define DELTAXT 19
#define DELTAYT 20
#define DISTANCET 23
#define IDT 9
#define MAGT 15
#define OMEGAT 12
#define PFTCC 16
#define PHIT 11
#define PRJCC 17
#define THETAT 10
#define XT 13
#define YT 14
#define UCBAD 1
#define XYBAD 2
#define XYBADTHRESH 4
#define HISTMAGBAD 8
#define HISTPFTBAD 16
#define HISTPRJBAD 32
#define HISTCMPBAD 64
#define INFILEBAD 128
#define NOTUCBAD 0376
#define NOTXYBAD 0375
#define NOTXYBADTHRESH 0373
#define NOTHISTMAGBAD 0367
#define NOTHISTPFTBAD 0357
#define NOTHISTPRJBAD 0337
#define NOTHISTCMPBAD 0277
#define SCALE 150.0
#define TRANSLATEX 380.0
#define TRANSLATEY 50.0
