      SUBROUTINE REF_CCF_REFINE_(REF_FFT_ADDR, IMG_ADDR, BKG, 
     1                     NCOL, NROW, IDIM1, IDIM2, DX, DY)
      INTEGER*4 NCOL, NROW, IDIM1, IDIM2
      integer*4 DX, DY
      real*4    IMG_ADDR(1)
      REAL*4    REF_FFT_ADDR(1)
      real*4    BKG
      CALL REF_CCF_REFINE(REF_FFT_ADDR, IMG_ADDR, BKG, 
     1                     NCOL, NROW, IDIM1, IDIM2, DX, DY)
      END SUBROUTINE REF_CCF_REFINE_

C     ----------------------------------------

      SUBROUTINE MAP3DT_INFO_RWA_(NCOL, NROW, NSEC, HMAX, KMAX, LMAX, 
     1   NSF, a_cell, b_cell, c_cell, voxsiz, reslo, reshi, scaleP)

      INTEGER*4 HMAX, KMAX, LMAX, NCOL, NROW, NSEC, NSF
      REAL*4    A_CELL, B_CELL, C_CELL
      REAL*4    RESLO, RESHI, VOXSIZ, scaleP

      CALL MAP3DT_INFO_RWA(NCOL, NROW, NSEC, HMAX, KMAX, LMAX, 
     1   NSF, a_cell, b_cell, c_cell, voxsiz, reslo, reshi, scaleP)
      END SUBROUTINE MAP3DT_INFO_RWA_

C     ----------------------------------------

      SUBROUTINE MAIN_MAP3DT_(NCOL, NROW, NSEC, MAP3D, stFacs, nsf,
     1     hmax, KMAX, LMAX)

      INTEGER*4 NCOL, NROW, NSEC, HMAX, KMAX, LMAX, NSF
      REAL*4    MAP3D(1)
      include '../include/strucfac.inc'
      type(strucfac_t) stFacs(nsf)

      CALL  MAIN_MAP3DT(NCOL, NROW, NSEC, MAP3D, stFacs, nsf,
     1     hmax, KMAX, LMAX)
      END SUBROUTINE MAIN_MAP3DT_

C     ----------------------------------------

      SUBROUTINE MAP2D_STATS_(MAP, NCOL, NROW, MAP_MIN, MAP_MAX,
     1     MAP_AVG, MAP_STD, CA1D, CA1D_STD, CA1D_CNT, IDIM_MIN)

      INTEGER*4 NCOL, NROW, IDIM_MIN
      REAL*4    MAP(NCOL,NROW), MAP_MIN, MAP_MAX, MAP_AVG, MAP_STD
      REAL*4    CA1D_CNT(IDIM_MIN/2)
      REAL*4    CA1D_STD(IDIM_MIN/2), CA1D(IDIM_MIN/2)

      CALL MAP2D_STATS(MAP, NCOL, NROW, MAP_MIN, MAP_MAX,
     1     MAP_AVG, MAP_STD, CA1D, CA1D_STD, CA1D_CNT, IDIM_MIN)
      END SUBROUTINE MAP2D_STATS_
      
C     ----------------------------------------

      SUBROUTINE MAPDSP_GPLOT_ROB_(MAP, IMG, SCALE, NCOL, NROW, NSEC, 
     1     NPIXX, NPIXY, XSTRT, YSTRT, NY, NCELLX, NCELLY, SECTION,
     2     NEW_MIN, angle, aoverbPass, plotX, plotY, adim, bdim,
     3     gammaXtal)

      INTEGER*4 NY, NPIXX, NPIXY
      INTEGER*4 NCOL, NROW, NSEC
      INTEGER*4 NCELLX, NCELLY
      INTEGER*4 SECTION, plotX, plotY
      REAL*4    SCALE
      REAL*4    MAP(NCOL,NROW,NSEC)
      REAL*4    NEW_MIN, XSTRT, YSTRT, angle, aoverbPass
      INTEGER*2 IMG(plotX,plotY)
      integer*4 adim,bdim
      real*4    gammaXtal


      CALL MAPDSP_GPLOT_ROB(MAP, IMG, SCALE, NCOL, NROW, NSEC, 
     1     NPIXX, NPIXY, XSTRT, YSTRT, NY, NCELLX, NCELLY, SECTION,
     2     NEW_MIN, angle, aoverbPass, plotX, plotY, adim, bdim,
     3     gammaXtal)
      
      END SUBROUTINE MAPDSP_GPLOT_ROB_

C     ----------------------------------------

      SUBROUTINE MAP_FFT_FILL_TSBORIEN_(img, NCOL, NROW, FFT,
     1           IDIM1,IDIM2,imgBkgP)

      INTEGER*4 NCOL, NROW, IDIM1, IDIM2
      integer*4 imgBkgP
      REAL*4    IMG(NCOL,NROW)
      REAL*4    FFT(2*IDIM1,IDIM2)

      CALL MAP_FFT_FILL_TSBORIEN(img, NCOL, NROW, FFT,
     1           IDIM1,IDIM2,imgBkgP)
      END SUBROUTINE MAP_FFT_FILL_TSBORIEN_

C     ----------------------------------------

      SUBROUTINE ROB_SF_PSHIFT_(stFacs, nsf, moveX, moveY)
      INTEGER*4 NSF
      real*4    moveX, moveY
      include '../include/strucfac.inc'
      type(strucfac_t) stFacs(NSF)
      CALL ROB_SF_PSHIFT(stFacs, nsf, moveX, moveY)
      END SUBROUTINE ROB_SF_PSHIFT_

C     ----------------------------------------

      SUBROUTINE IMG_LINGRAD_ROB_(IMG, NCOL, NROW, IRAD,imgBkg,expFac)
      INTEGER*4 IRAD, NCOL, NROW
      real*4    IMG(NCOL, NROW)
      real*4    expFac
      real*4    imgBkg
      CALL IMG_LINGRAD_ROB(IMG, NCOL, NROW, IRAD,imgBkg,expFac)
      END SUBROUTINE IMG_LINGRAD_ROB_

C     ----------------------------------------

      SUBROUTINE IMG_FILT_(IMG, NCOL, NROW, FFT,IDIM1,IDIM2,
     1     imgBkgP,cutmin,resmin,cutmax,resmax)

      INTEGER*4 NCOL, NROW, IDIM1, IDIM2
      real*4    cutmin,resmin,cutmax,resmax
      integer*4 imgBkgP
      INTEGER*2 IMG(NCOL,NROW)
      REAL*4    FFT(2*IDIM1,IDIM2)

      call IMG_FILT(IMG, NCOL, NROW, FFT,IDIM1,IDIM2,
     1     imgBkgP,cutmin,resmin,cutmax,resmax)
      END SUBROUTINE IMG_FILT_
      
C     ----------------------------------------

      SUBROUTINE FFT_AVG_REF_(REF_IMG_ADDR, REF_FFT_ADDR, 
     1     REF_BKG, NCOL, NROW, IDIM1, IDIM2)

      INTEGER*4 IDIM1, IDIM2, REF_BKG, NCOL, NROW
      real*4    REF_IMG_ADDR(1) 
      REAL*4    REF_FFT_ADDR(1)

      call FFT_AVG_REF (REF_IMG_ADDR, REF_FFT_ADDR, 
     1     REF_BKG, NCOL, NROW, IDIM1, IDIM2)
      end SUBROUTINE FFT_AVG_REF_

C     ----------------------------------------

      SUBROUTINE FFT_LATREF2_SPOT_(FFT, IDIM1, IDIM2, APART, BPART,
     1     IX, IY, fmax, degree,ncol,nrow )

      INTEGER*4 IX, IY
      INTEGER*4 IDIM1, IDIM2
      INTEGER*4 ncol,nrow
      REAL*4    FFT(2*IDIM1,(IDIM2/2)+1), APART(IDIM1), BPART(IDIM1)
      REAL*4    FMAX, DEGREE

      call FFT_LATREF2_SPOT(FFT, IDIM1, IDIM2, APART, BPART,
     1     IX, IY, fmax, degree,ncol,nrow )
      end SUBROUTINE FFT_LATREF2_SPOT_

C     ----------------------------------------

      SUBROUTINE FFT_LATREF2_INDEX_(IX, IY, IDIM1, IDIM2, JH, JK,
     1     XTMP, YTMP, lx_ylim, AXOLD, AYOLD, BXOLD, BYOLD)

      REAL*4    XTMP, YTMP
      REAL*4    AXOLD, AYOLD, BXOLD, BYOLD
      INTEGER*4 IX, IY, JH, JK
      INTEGER*4 IDIM1, IDIM2, lx_ylim

      call FFT_LATREF2_INDEX(IX, IY, IDIM1, IDIM2, JH, JK,
     1     XTMP, YTMP, lx_ylim, AXOLD, AYOLD, BXOLD, BYOLD)
      end SUBROUTINE FFT_LATREF2_INDEX_

C     ----------------------------------------

      SUBROUTINE FFT_FLTMSK_ROB_(FFT,MASK,IDIM1,IDIM2,ax,ay,bx,by,
     1        radius,icut, lowResoFilter, hiResoFilter)

      INTEGER*4 IDIM1, IDIM2
      INTEGER*4 ICUT
      INTEGER*2 MASK(IDIM1,((IDIM2/2)+1))
      REAL*4    FFT(2*IDIM1,((IDIM2/2)+1))
      REAL*4    RADIUS
      real*4    ax,ay,bx,by
      integer*4 lowResoFilter, hiResoFilter

      call FFT_FLTMSK_ROB(FFT,MASK,IDIM1,IDIM2,ax,ay,bx,by,
     1        radius,icut, lowResoFilter, hiResoFilter)
      end SUBROUTINE FFT_FLTMSK_ROB_

C     ----------------------------------------

      SUBROUTINE FFT_FLTLLMSK_ROB_(FFT, IDIM1, IDIM2, angle, 
     1        lowResoFilter, hiResoFilter, space, fall, icut)

      INTEGER*4 IDIM1, IDIM2
      integer*4 icut
      integer*4 lowResoFilter, hiResoFilter
      REAL*4    SPACE, FALL
      REAL*4    FFT(2*IDIM1,(IDIM2+1)), ANGLE

      call FFT_FLTLLMSK_ROB(FFT, IDIM1, IDIM2, angle, 
     1        lowResoFilter, hiResoFilter, space, fall, icut)
      end SUBROUTINE FFT_FLTLLMSK_ROB_

C     ----------------------------------------

      SUBROUTINE EMSF_SYM_ROB_(EM_NDIM, SF_TYPE, NLIM, NSF, stFacs,
     1     GAM_STAR, ikey, aoverb)

      INTEGER*4  EM_NDIM, SF_TYPE, NLIM, NSF
      REAL*4      GAM_STAR, aoverb
      integer*4   ikey
      include '../include/strucfac.inc'
      type(strucfac_t) stFacs(NSF)
      call EMSF_SYM_ROB(EM_NDIM, SF_TYPE, NLIM, NSF, stFacs,
     1     GAM_STAR, ikey, aoverb)
      end SUBROUTINE EMSF_SYM_ROB_
      
C     ----------------------------------------

      SUBROUTINE EMSF_ORIGINS_ROB_(EM_NDIM, SF_TYPE, NSF, SF_SUMFSQ,
     $     stFacs, ikey)

      INTEGER*4   NSF, SF_TYPE, EM_NDIM
      REAL*4      SF_SUMFSQ
      integer*4   ikey
      include '../include/strucfac.inc'
      type(strucfac_t) stFacs(NSF)

      call EMSF_ORIGINS_ROB(EM_NDIM, SF_TYPE,NSF, SF_SUMFSQ, 
     $     stFacs, ikey)
      end SUBROUTINE EMSF_ORIGINS_ROB_

C     ----------------------------------------

      SUBROUTINE EMSF_BACKT_ROB_(SF_TYPE, EM_NDIM, NSF, stFacs, MAP_MIN,
     $     MAP_MAX, array_addr, backSizeA, backSizeB)

      INTEGER*4 NSF, SF_TYPE, EM_NDIM
      integer*4 backSizeA, backSizeB
      real*4    array_addr(2*backSizeA*backSizeB)
      REAL*4    MAP_MIN, MAP_MAX

      include '../include/strucfac.inc'
      type(strucfac_t) stFacs(NSF)

      call EMSF_BACKT_ROB(SF_TYPE, EM_NDIM, NSF, stFacs, MAP_MIN,
     $     MAP_MAX, array_addr, backSizeA, backSizeB)

      end SUBROUTINE EMSF_BACKT_ROB_

C     ----------------------------------------

      subroutine EMROTFLT_MAIN_(pow_addr, ELIPX, ELIPY, IRAD, IDIM1,
     $     PHI0,ASCAL, BSCAL, TWODD, JZERO, radiusM1, MAX_BO, FFT_STEP,
     $     NANNULI, DEL_BR,  rho_addr, DEL_LR, IOPT, LG_START, LG_END,
     $     XORIG, YORIG, POW_SCALE, nrotPass, ncol, nrow, sump1, sump2,
     $     sump3, fft_origxP, fft_origyP, winScale, sigma, fft, 
     $     newStart, sigMax, sigMaxTot)

      INTEGER*4 MAX_BO, JZERO, NCOL, NROW
      INTEGER*4 IDIM1, IRAD, NANNULI, IOPT(4)
      integer*4 nrotpass
      integer*4 newStart
      INTEGER*4 LG_START, LG_END, radiusM1
      REAL*4    FFT(2*IDIM1,IDIM1), sigMax, sigMaxTot
      REAL*4    DEL_BR, DEL_LR, FFT_STEP
      REAL*4    PHI0, TWODD, ASCAL, BSCAL, XORIG, YORIG, POW_SCALE
      REAL*4    ELIPX, ELIPY, sump1,sump2,sump3,fft_origxP, fft_origyP
      real*4    pow_addr(1000), winScale
      real*4    sigma(17,17)
      real*4    rho_addr(2*ncol*nrow)

      call EMROTFLT_MAIN(pow_addr, ELIPX, ELIPY, IRAD, IDIM1,
     $     PHI0,ASCAL, BSCAL, TWODD, JZERO, radiusM1, MAX_BO, FFT_STEP,
     $     NANNULI, DEL_BR,  rho_addr, DEL_LR, IOPT, LG_START, LG_END,
     $     XORIG, YORIG, POW_SCALE, nrotPass, ncol, nrow, sump1, sump2,
     $     sump3, fft_origxP, fft_origyP, winScale, sigma, fft, 
     $     newStart, sigMax, sigMaxTot)

      end subroutine EMROTFLT_MAIN_

C     ----------------------------------------

      subroutine EMFFT_SPT_ROB2_(fft, idim1, idim2,
     1     ax,ay,bx,by,nspot,stFacs,x1p,x2p,y1p,y2p,
     2     ncol,nrow,
     3     a_star, b_star, c_star, alp_star, bet_star, gam_star,
     4     rasterP, radiusP, cutP, shiftFFT)

      INTEGER*4 IDIM1, IDIM2, NSPOT
      INTEGER*4 ncol, nrow
      real*4    ax, ay, bx, by
      REAL*4    FFT(2*IDIM1,IDIM2+1)
      REAL*4    x1p, x2p, y1p, y2p
      real*4    rasterP, radiusP, cutP
      real*4    a_star, b_star, c_star, alp_star, bet_star, gam_star

      call EMFFT_SPT_ROB2 (fft, idim1, idim2,
     1     ax,ay,bx,by,nspot,stFacs,x1p,x2p,y1p,y2p,
     2     ncol,nrow,
     3     a_star, b_star, c_star, alp_star, bet_star, gam_star,
     4     rasterP, radiusP, cutP, shiftFFT)
      end subroutine EMFFT_SPT_ROB2_

C     ----------------------------------------

      subroutine EMFFT_SPT_ROB1_(idim1, idim2,
     1        ax,ay,bx,by,nspot,x1p,x2p,y1p,y2p,ncol,nrow,
     2        rasterP, radiusP, cutP)

      INTEGER*4 IDIM1, IDIM2, NSPOT
      INTEGER*4 ncol, nrow
      real*4    ax, ay, bx, by
      REAL*4    x1p, x2p, y1p, y2p
      real*4    rasterP, radiusP, cutP

      call EMFFT_SPT_ROB1(idim1, idim2,
     1     ax,ay,bx,by,nspot,x1p,x2p,y1p,y2p,ncol,nrow,
     2     rasterP, radiusP, cutP)
      end subroutine EMFFT_SPT_ROB1_


C     ----------------------------------------

      SUBROUTINE MAG_WRITE_(MAP, NCOL, NROW, NSEC, 
     $        xc, yc, zc, mag, outMap)
      INTEGER*4 NCOL, NROW, NSEC
      REAL*4    MAG, MAP(NCOL,NROW,NSEC), XC, YC, ZC
      call MAG_WRITE(MAP, NCOL, NROW, NSEC, 
     $        xc, yc, zc, mag, outMap)
      end SUBROUTINE MAG_WRITE_

C     ----------------------------------------

      subroutine read_mrc_file_(mrcName, rBuf, two_d,nc,nr,ns)
      integer*4 nc,nr,ns
      real*4    rBuf(nc,nr,ns)
      character two_d*1
      character MRCname*256
      call read_mrc_file(mrcName, rBuf, two_d,nc,nr,ns)
      end subroutine read_mrc_file_

C     ----------------------------------------

      SUBROUTINE MAIN_EMSF_(NCOL, NROW, NSEC, nsf, stFacs, map,
     1   a_cell, b_cell, c_cell, maxReso,
     2   xminP,xmaxP,yminP,ymaxP,zminP,zmaxP,dxP,dyP,dzP,norien)

      INTEGER*4 NSF, NCOL, NROW, NSEC
      INTEGER*4 NORIEN
      REAL*4    A_CELL, B_CELL, C_CELL, maxReso
      REAL*4    XMINp, YMINp, ZMINp, XMAXp, YMAXp, ZMAXp, DXp, DYp, DZp
      real*4    MAP(ncol*nrow*nsec)
      include '../include/strucfac.inc'
      type(strucfac_t) stFacs(nsf)

      call MAIN_EMSF(NCOL, NROW, NSEC, nsf, stFacs, map,
     1     a_cell, b_cell, c_cell, maxReso,
     2     xminP,xmaxP,yminP,ymaxP,zminP,zmaxP,dxP,dyP,dzP,norien)

      end subroutine main_emsf_

C     ----------------------------------------

      subroutine read_mrc_header_(mrcName, pifHead, two_d)
      include '../include/pifhead.inc'
      type(pifhead_t) PIFhead
      character MRCname*256
      character two_d*1
      call read_mrc_header(mrcName, pifHead, two_d)
      end subroutine read_mrc_header_

C     ----------------------------------------

      subroutine GETBLOBMINMAXINT_ROB_(blobList, bCnt, blobSizeLim,
     $     killValue, minInt, maxInt)
      integer*4 bCnt, blobSizeLim
      real*4    killValue
      type blobstructure
        sequence
        integer*4 id
        integer*4 size
        real*4    minInt
        real*4    maxInt
      end type blobstructure
      type(blobstructure) blobList(bcnt)
c Variables returned
      real*4 minInt, maxInt
      call GETBLOBMINMAXINT_ROB(blobList, bCnt, blobSizeLim,
     $     killValue, minInt, maxInt)
      end subroutine GETBLOBMINMAXINT_ROB_

C     ----------------------------------------

      SUBROUTINE CORAVG_SUM_(MAINIMG, NCOL, NROW, AVGIMG, MAP, NCOLMP,
     $     NROWMP, PEAKS, NPEAK_UNIQUE)

      INTEGER*4 NCOL, NROW, NCOLMP, NROWMP
      INTEGER*4 NPEAK_UNIQUE
      real*4    MAINIMG(NCOL,NROW)
      real*4    AVGIMG(NCOLMP,NROWMP)
      REAL*4    MAP(NCOLMP,NROWMP), PEAKS(3,NPEAK_UNIQUE)

      call CORAVG_SUM(MAINIMG, NCOL, NROW, AVGIMG, MAP, NCOLMP, 
     $     NROWMP, PEAKS, NPEAK_UNIQUE)
      end SUBROUTINE CORAVG_SUM_

C     ----------------------------------------

      SUBROUTINE CORAVG_LIM_(NLIM, PEAKS, NPEAK, IMG, CCNC, CCNR, 
     $     LOWLIM)
      INTEGER*4 CCNC, CCNR, NLIM, LOWLIM, NPEAK
      REAL*4    PEAKS(3,NLIM), IMG(CCNC,CCNR)
      call CORAVG_LIM(NLIM, PEAKS, NPEAK, IMG, CCNC, CCNR, LOWLIM)
      end SUBROUTINE CORAVG_LIM_

C     ----------------------------------------

      SUBROUTINE COR_SECOND_(IDIM1, IDIM2, ARRAY, MAP, IMG, B,
     $     MAP_AVG, MAP_STD, img_min, img_max)
      INTEGER*4 IDIM1, IDIM2, IMG_MIN, IMG_MAX
      REAL*4    ARRAY(2*IDIM1,((IDIM2/2)+1)), MAP(IDIM1,IDIM2)
      real*4    IMG(IDIM1, IDIM2)
      REAL*4    MAP_AVG, MAP_STD
      call COR_SECOND(IDIM1, IDIM2, ARRAY, MAP, IMG, B,
     $     MAP_AVG, MAP_STD, img_min, img_max)
      end SUBROUTINE COR_SECOND_

C     ----------------------------------------

      SUBROUTINE COR_FIRST_(IDIM1, IDIM2, ARRAY, A, B, C, icor_pass)
      INTEGER*4 IDIM1, IDIM2, icor_pass
      REAL*4    ARRAY(2*IDIM1,((IDIM2/2)+1))
      REAL*4    A(IDIM1*2, IDIM2/2+1), B(IDIM1*2, IDIM2/2+1), C(IDIM1*2)
      call COR_FIRST(IDIM1, IDIM2, ARRAY, A, B, C, icor_pass)
      end SUBROUTINE COR_FIRST_

C     ----------------------------------------

      subroutine robangle_curves_(angdrawCall, angle, poly_paras_call,
     +    defmajorCall,defminorCall,hkl_maxCall,order_bCall,
     +    order_dCall, fftasumCall, voltCall, ampContrastCall, 
     +    csCall, pixelCall,
     +    sCall, sminusbCall, ctfsqCall, dCall, bCall)

      real angdrawCall, voltCall, pixelCall
      double precision angle
      double precision poly_paras_call(1024)
      real defmajorCall, defminorCall
      real ampContrastCall, csCall
      integer  order_bCall, order_dCall
      real sCall(1024),sminusbCall(1024),ctfsqCall(1024)
      real dCall(1024),bCall(1024)
      integer hkl_maxCall
      double precision fftasumCall(1024*2048)

      call robangle_curves(angdrawCall, angle, poly_paras_call,
     +    defmajorCall,defminorCall,hkl_maxCall,order_bCall,
     +    order_dCall, fftasumCall, voltCall, ampContrastCall, 
     +    csCall, pixelCall,
     +    sCall, sminusbCall, ctfsqCall, dCall, bCall)

      end subroutine robangle_curves_

C     ----------------------------------------

      SUBROUTINE CCF_REFINE_(IMG_ADDR, BKG, NCOL, NROW, DX, DY)
      real*4    IMG_ADDR(1)
      real*4    BKG
      INTEGER*4 NCOL, NROW
      integer*4  DX, DY
      call CCF_REFINE(IMG_ADDR, BKG, NCOL, NROW, DX, DY)
      end subroutine CCF_REFINE_

      subroutine yji_ctf1dfit_(npix_col, npix_row, num_img, fftSizeCall,
     +     pixelSizeCall, voltCall, res_hiCall, defMajorCall,
     +     ampContrastCall, CsCall, packImgCall, chisqCall, aPass,
     +     adr_s, adr_sminusb, adr_ctfsq, adr_d, adr_b, ca1d_pass,
     +     calcIt, saveFftAvg )

      integer npix_col, npix_row, num_img, fftSizeCall
      integer calcIt
      real    pixelSizeCall, voltCall, res_hiCall
      real    defMajorCall
      real    ampContrastCall, CsCall, chisqCall
      real    packImgCall(npix_col, npix_row, num_img)
      real    aPass(13)
      real    saveFftAvg(1)
      real  adr_s(1024), adr_sminusb(1024)
      real  ca1d_pass(1024)
      real  adr_ctfsq(1024), adr_d(1024), adr_b(1024) 

      call yji_ctf1dfit(npix_col,npix_row,num_img,fftSizeCall,
     +     pixelSizeCall, voltCall, res_hiCall, defMajorCall,
     +     ampContrastCall, CsCall, packImgCall, chisqCall, aPass,
     +     adr_s, adr_sminusb, adr_ctfsq, adr_d, adr_b, ca1d_pass,
     +     calcIt, saveFftAvg )

      end subroutine yji_ctf1dfit_

C     ----------------------------------------

      subroutine yji_ctf2dfit_(poly_paras_call, npix_col, npix_row,
     +    num_img, fftSizeCall, pixelSizeCall, voltCall, res_hiCall, 
     +    defMajorCall, defMinorCall, angleCall, ampContrastCall, 
     +    CsCall, packImgCall, chisqCall, auto2DdrawBuf, 
     +    auto2DdataBuf, fftasumCall, hkl_maxCall, 
     +    order_bCall, order_dCall, calcIt, saveFftasum, saveFftasumsq)

      real    auto2DdrawBuf(512,256)
      real    auto2DdataBuf(512,256)
      integer npix_col, npix_row, num_img
      integer fftSizeCall
      integer order_bCall, order_dCall
      real    pixelSizeCall, voltCall, res_hiCall
      double precision    poly_paras_call(1024)
      double precision    fftasumCall(1024*2048)
      real    defMajorCall, defMinorCall, angleCall
      real    ampContrastCall, CsCall, chisqCall
      real    packImgCall(npix_col, npix_row, num_img)
      integer calcIt
      real  saveFftasum(1), saveFftasumsq(1)
      
      call yji_ctf2dfit(poly_paras_call, npix_col, npix_row,
     +    num_img,fftSizeCall, pixelSizeCall, voltCall, res_hiCall, 
     +    defMajorCall, defMinorCall, angleCall, ampContrastCall, 
     +    CsCall, packImgCall, chisqCall, auto2DdrawBuf, 
     +    auto2DdataBuf, fftasumCall, hkl_maxCall, 
     +    order_bCall, order_dCall, calcIt, saveFftasum, saveFftasumsq)

      end subroutine yji_ctf2dfit_

C     ----------------------------------------

      SUBROUTINE CONTUR_A_ROB_(MAP, IMG, XP, YP, NCOL, NROW, SCLX, SCLY,
     $     TOUR, ix, iy, ix1, iy1, pltPt, cosangp, sinangp, icxp, icyp)
      INTEGER*4 NCOL, NROW
      INTEGER*2 IMG(NCOL+1,NROW+1)
      REAL*4    MAP(NCOL+1,NROW+1), XP(NCOL+1), YP(NROW+1)
      integer*2 ix(40000),iy(40000),ix1(40000),iy1(40000)
      real*4    cosangp,sinangp
      integer*4 icxP,icyp
      REAL*4    SCLX, SCLY, TOUR
      call CONTUR_A_ROB(MAP, IMG, XP, YP, NCOL, NROW, SCLX, SCLY,
     $     TOUR,ix, iy, ix1, iy1, pltPt, cosangp, sinangp, icxp, icyp)
      end subroutine CONTUR_A_ROB_

C     ----------------------------------------

      subroutine COUNT_KILL_BLOBS_ROB_(bCnt, uniqueBlobs , contour1,
     $     contour2, killFlag, killSize, killValue , bgMin, bgMax,
     $     status, mapBuffer, px, py , pz, blobList, radiusUnblob,
     $     inverseUniverse)
      integer*4 killFlag, killSize, uniqueBlobs
      real*4    contour1, contour2, killValue
      integer*4 px,py,pz,radiusUnblob, inverseUniverse
      real*4    mapBuffer(px,py,pz)
      integer*4 bCnt, status
      real*4 bgMin, bgMax
      type blobstructure
        sequence
        integer*4 id
        integer*4 size
        real*4    minInt
        real*4    maxInt
      end type blobstructure
      type(blobstructure) blobList(bCnt)
      call COUNT_KILL_BLOBS_ROB(bCnt, uniqueBlobs , contour1,
     $     contour2, killFlag, killSize, killValue , bgMin, bgMax,
     $     status, mapBuffer, px, py , pz, blobList, radiusUnblob,
     $     inverseUniverse)
      end subroutine COUNT_KILL_BLOBS_ROB_
