#include "gui.h"

void create_statscreen () {
  // function name: create_statscreen
  // Create and initialize attributes of statistics screen
  
  XtSetArg(arglst[0], XmNautoUnmanage, 0);
  XtSetArg(arglst[1], XmNdefaultPosition, 0);
  XtSetArg(arglst[2], XmNdialogTitle, XmStringCreateLocalized("Info"));
  XtSetArg(arglst[3], XmNdialogStyle, XmDIALOG_MODELESS);
  XtSetArg(arglst[4], XmNx, 300);
  XtSetArg(arglst[5], XmNy, 120);
  XtSetArg(arglst[6], XmNwidth, 750);
  XtSetArg(arglst[7], XmNheight, 500);
  statScreenW = XmCreateFormDialog(toplevel_widget, "stat", arglst, 8);

  XtSetArg(arglst[0], XmNlabelType, XmPIXMAP);
  XtSetArg(arglst[1], XmNwidth, 38);
  XtSetArg(arglst[2], XmNheight, 32);
  XtSetArg(arglst[3], XmNx, 15);
  XtSetArg(arglst[4], XmNy, 15);
  statExitW = XmCreatePushButton(statScreenW, "stat_exit", arglst, 5);
  XtAddCallback(statExitW, XmNactivateCallback, simple_deactivate, NULL);
  XtManageChild(statExitW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Calculate Stats"));
  XtSetArg(arglst[1], XmNx, 100);
  XtSetArg(arglst[2], XmNy, 15);
  statCalcW = XmCreatePushButton(statScreenW, "stat_calc", arglst, 3);
  XtAddCallback(statCalcW, XmNactivateCallback, stat_calc_activate, NULL);
  XtManageChild(statCalcW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("List PIF Head"));
  XtSetArg(arglst[1], XmNx, 250);
  XtSetArg(arglst[2], XmNy, 15);
  statHeadW = XmCreatePushButton(statScreenW, "stat_head", arglst, 3);
  XtAddCallback(statHeadW, XmNactivateCallback, pifhead_activate, NULL);
  XtManageChild(statHeadW);

  XtSetArg(arglst[0], XmNlabelString, XmStringCreateLocalized("Save New Title"));
  XtSetArg(arglst[1], XmNx, 15);
  XtSetArg(arglst[2], XmNy, 420);
  statSaveW = XmCreatePushButton(statScreenW, "stat_save", arglst, 3);
  XtAddCallback(statSaveW, XmNactivateCallback, save_title_activate, NULL);
  XtManageChild(statSaveW);

  XtSetArg(arglst[0], XmNcolumns, 80);
  XtSetArg(arglst[1], XmNx, 15);
  XtSetArg(arglst[2], XmNy, 450);
  statTitleW = XmCreateText(statScreenW, "stat_title", arglst, 3);
  XtManageChild(statTitleW);

  XtSetArg(arglst[0], XmNscrollVertical, 1);
  XtSetArg(arglst[1], XmNscrollHorizontal, 0);
  XtSetArg(arglst[2], XmNeditMode, XmMULTI_LINE_EDIT);
  XtSetArg(arglst[3], XmNcursorPositionVisible, 1);
  XtSetArg(arglst[4], XmNwordWrap, 1);
  XtSetArg(arglst[5], XmNcolumns, 82);
  XtSetArg(arglst[6], XmNrows, 24);
  XtSetArg(arglst[7], XmNx, 15);
  XtSetArg(arglst[8], XmNy, 55);
  statTextW = XmCreateScrolledText(statScreenW, "stat_text", arglst, 9);
  XtManageChild(statTextW);

} // end function create_statscreen
